#pragma once
#include <map>
struct M_ServerURLData
{
	//ID
	std::string mID;
	//URL
	std::string mURL;
};

class M_ServerURL
{
public:
private:
	static std::auto_ptr<M_ServerURL> msSingleton;
public:
	int GetCount();
	const M_ServerURLData* GetData(std::string ID);
	const std::map<std::string, M_ServerURLData>& GetMapData();
	void Load();
	void LoadLua();
	void Reload();
	static M_ServerURL* GetSingleton();
	static void Release();
private:
	std::map<std::string, M_ServerURLData> mMapData;
};
